# 获取物流渠道

#### 接口方法

- getShippingMethod


#### 请求方式：

- POST


#### 请求示例:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "warehouseCode":"WPCHI",
				  "method_type":1
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getShippingMethod</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |限制长度
| :------------ | :------------ | :------------ | :------------ | :------------ |
|warehouseCode   |String |否  |仓库代码   |30
|methodType   |int |否  |不赋值表示查询所有类型，运输方式类型：1 - 普通订单，2 - 转运订单，3 - 退件，4 - 面单   |1



#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "count":"3",
				  "data":[
					{
					  "code":"US_FEDEX_SMART",
					  "name":"US_FEDEX_SMART",
					  "name_cn":"美国FEDEX_SMART",
					  "warehouse_code":"WPCHI",
					  "is_order":1,
					  "is_transfer_order":0,
					  "is_return":0,
					  "is_delivery":1
					},
					{
					  "code":"US_FEDEX_GROUND",
					  "name":"US_FEDEX_GROUND",
					  "name_cn":"美国FEDEX_GROUND",
					  "warehouse_code":"WPCHI",
					  "is_order":1,
					  "is_transfer_order":0,
					  "is_return":0,
					  "is_delivery":1
					},
					{
					  "code":"US_FEDEX_HD",
					  "name":"US_FEDEX_HD",
					  "name_cn":"美国美国FEDEX_HD",
					  "warehouse_code":"WPCHI",
					  "is_order":1,
					  "is_transfer_order":0,
					  "is_return":0,
					  "is_delivery":1
					}
				  ],
				  "nextPage":false
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|code  |String   |运输方式代码   |
|is_delivery   |int   |是否支持面单  1-表示支持， 0-表示不支持   |
|is_order   |int   |是否支持普通订单  1-表示支持，  0-表示不支持   |
|is_return   |int   |是否支持退件  1-表示支持，  0-表示不支持   |
|is_transfer_order   |int   |是否支持转运订单  1-表示支持，  0-表示不支持   |
|is_upload_label |int   |否需要上传面单和跟踪号(运单号) 1-是, 0-否   |
|name   |String   |运输方式英文名称   |
|name_cn   |String   |运输方式中文名称   |
|warehouse_code |String   |仓库代码   |