# 创建面单

#### 接口方法

- createShipment


#### 请求方式：

- POST


#### 请求示例:

```xml
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
                {
                  "warehouse_code":"DEMO",
                  "shipping_method":"US_UPS_GROUND",
                  "reference_no":"2405230000000001",
                  "reference_no2":"",
                  "order_desc":"test-api",
                  "length":"15.50",
                  "width":"10.00",
                  "height":"47.200",
                  "weight":"12.50",
                  "is_signature	":"0",
                  "is_insurance":"0",
                  "verify":1,
                  "sender_address":{
                    "country_code":"US",
                    "province":"TX",
                    "city":"Cypress",
                    "address1":"15618 Porcupine Ln",
                    "zipcode":"77433",
                    "first_name":"tester",
                    "last_name":"pak",
                    "phone":"12345678900"
                  },
                    "receiver_warehouse_code":"receiver_address",
                    "return_warehouse_code":"rerurn_address"
                }
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>createShipment</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|reference_no |String |是 |参考编号 |50
|reference_no2 |String |否 |参考编号2 |50
|shipping_method |String |是 |物流渠道，参考getShippingMethod（获取物流渠道） |20
|warehouse_code |String |是 |配送仓库，参考getWarehouse（获取仓库列表） |20
|is_signature |int |否 |签名服务: 0:否 1:是（需物流渠道支持） |
|is_insurance |int |否 |保险服务: 0:否 1:是（需物流渠道支持） |
|declared_value |double |否 |保险金额/申报价值（当保险服务为1是时，必填），两位小数 |
|remark |String |否 |备注 |200
|sender_address |Object |否 |发货人信息. 配送仓库=OWN时，此参数必填，为其他仓库时，忽略此参数，直接用系统中的仓库地址（详见address参数） |50
|receiver_address |Object |否 |收货人信息（详见address参数）|50
|receiver_warehouse_code |String |否 |收货仓库代码（系统预录地址，填写后receiver_address可以不填）|10
|verify |int |是 |是否提交,0新建不提交(草稿状态)，1新建并提交， 默认为0 |
|length |String |是 |包裹长cm（保留2位小数） |
|width |String |是 |包裹宽cm（保留2位小数） |
|height |String |是 |包裹高cm（保留2位小数） |
|weight |String |是 |包裹重kg（保留2位小数） |
|packageQuantity |int |否 |包裹数量（物流渠道是"FEDEX-WMT"必填） |
|return_warehouse_code |String |否 |指定退货地址（系统预录地址，使用前请先在【OMS系统-面单地址管理】新增指定退货地址，仅限UPS渠道正向业务使用，非UPS渠道不适用） |




#### address参数:


|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|country_code |String |是 |收/发件人国家，参考getCountry（获取国家列表） |20
|province |String |是 |州/省(美国的州/省参数必填，欧洲国家的不必填) |20
|city |String |是 |城市 |20
|address1 |String |是 |地址1 (length:60)|60
|address2 |String |否 |地址2 (length:60)|60
|zipcode |String |是 |邮编 |20
|doorplate |String |否 |门牌号 |20
|company |String |否 |公司名 |20
|first_name |String |是 |收/发件人名 |20
|last_name |String |否 |收/发件人姓 |20
|phone |String |否 |收/发件人联系方式（收件人必填），美国FedEx将于2024年5月强制要求电话格式为10位数字 |20
|cell_phone |String |否 |收/发件人分机号 |20
|email |String |否 |收/发件人邮箱 |20


#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "message":"Success",
				  "nextPage":false,
				  "order_code":"YB-XX-19110400003"
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|ask   |String   |返回结果，Success表示请求成功，Failure表示请求失败   |
|message   |String   |返回信息   |
|nextPage   |boolean   |true 有下一页，false 没有下一页   |
|order_code   |String   |系统生成的面单号  |
|Error   |Object   |参考Error格式   |