# 获取面单费用

#### 接口方法

- getShipmentFee


#### 请求方式：

- POST


#### 请求示例:

```xml
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "order_code": "WP-191017-0001",
				  "reference_no": "113-0802283-8048250",
				  "tracking_no": "794653791999",
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getShipmentFee</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|order_code |String |是 |面单号 |30
|reference_no |String |否 |参考单号(客户号)|50
|tracking_no |String |否 |跟踪号(运单号)|50


#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<callServiceResponse>
			<response>
				{
					"ask":"Success",
					"data":[
						{
							"orderNo": "XX-200415-0010",
							"referenceNo": "XX-200415-0010",
							"trackingNo": "XX-200415-0010",
							"currency":"USD",
							"zone": "8",
							"basicFee": "45.360000",
							"fuelSurchargeFee": "5.446980",
							"residentialDeliverySurchargeFee": "25.380000",
							"additionalHandlingFee": "0.000000",
							"overMaximumLimitsFee": "0.000000",
							"labelingCharge": "0.000000",
							"largePackageSurchargeFee": "0.000000",
							"orderFeeTotal": "76.186980",
						}
					],
					"message":"订单号[XX-201113-1234]查询费用数据成功",
					"nextPage":false
				}
			</response>
		</callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|ask   |String   |返回结果，Success表示请求成功，Failure表示请求失败   |
|message   |String   |返回信息   |
|nextPage   |boolean   |true 有下一页，false 没有下一页   |
|data   |Object List   |订单费用  |

#### data参数说明：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|orderNo   			|String   |面单号      |
|referenceNo   		|String   |参考号   	|
|trackingNo  	|String   |物流跟踪号(运单号)    |
|currency   		|String   |币种      |
|zone   			|String   |邮编分区    |
|basicFee   		|String   |基础费用    |
|fuelSurchargeFee   |String   |燃油费    	|
|residentialDeliverySurchargeFee   	|String   |住宅地址附加费 	|
|additionalHandlingFee   	|String   |额外处理费    |
|largePackageSurchargeFee   |String   |大包裹收费    |
|overMaximumLimitsFee   	|String   |超最大尺寸限制收费  |
|deliveryAreaSurchargeFee   |String   |偏远地区额外费用    |
|deliveryAreaSurchargeExtendedFee   |String   |超偏远地区额外费用   |
|remoteAreaSurchargeFee   	|String   |偏远地区附加费  |
|signatureServiceSurcharges   	|String   |签名服务费  |
|trafficCongestionSurcharge   	|String   |交通拥堵费  |
|clearanceSurcharge   	|String   |清关费  |
|returnPickupFee   	|String   |退件取件费  |
|insuranceSurchargeFee   	|String   |保险费  |
|deliveryFee   	|String   |交付费  |
|islandFee   	|String   |岛屿费  |
|akHiSucharge   	|String   |AI&HI偏远地区附加费  |
|smsNoticeFee   	|String   |短信通知费  |
|bigCityFee   	|String   |大城市附加费  |
|oneTicketMultipleFee   	|String   |一票多件费  |
|peakSurcharge   	|String   |旺季附加费  |
|deliveryAreaSurchargeSurchargeExtendedFee   	|String   |超超偏远地区额外费用  |
|shapedPartsSurcharge   	|String   |异形附件费  |
|oversizedSurcharge   	|String   |超大件附加费  |

|orderFeeTotal   	|String   |物流费合计 = 基础费用+燃油费+物流额外费用+物流附加费    |