# 获取面单列表

#### 接口方法

- getShipmentList


#### 请求方式：

- POST


#### 请求示例:

```xml
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "pageSize":"2",
				  "page":"1"
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getShipmentList</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|pageSize |int |是 |每页数据长度，最大值100 |
|page |int |否 |当前页 |
|order_code |String |否 |面单号 |30
|shipping_method |String |否 |配送方式，参考getShippingMethod（获取配送方式列表） |20
|warehouse_code |String |否 |配送仓库，参考getWarehouse（获取仓库列表） |20
|reference_no |String |否 |参考号 |50
|order_status |String |否 |发货订单状态:0:草稿;1:已提交;2:已预报（改成待扣费）;3:异常;4:已取消,5:删除,6:已完成   |
|order_code_arr |Object |否 |面单号，数组格式 |200
|create_date_from |datetime |否 |起始时间(创建时间,有面单号的时候此参数失效) |
|create_date_to |datetime |否 |结束时间(创建时间,有面单号的时候此参数失效) |
|modify_date_from |datetime |否 |	起始时间(修改时间,有面单号的时候此参数失效) |
|modify_date_to |datetime |否 | 结束时间(修改时间,有面单号的时候此参数失效)|


#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "count":"2",
				  "data":[
					{
					  "height":"1.00",
					  "is_signature":0,
					  "length":"1.00",
					  "order_code":"YB-AK-19102100001",
					  "order_status":"0",
					  "receiver_address":{
						"address1":"深圳市龙岗区平湖街道华南城电子交易市场P09栋",
						"address2":"07栋128号",
						"city":"深圳",
						"company":"公司名称",
						"country_code":"AF",
						"doorplate":"",
						"email":"",
						"first_name":"名",
						"last_name":"姓",
						"phone":"+8675588569626",
						"province":"广东",
						"zipcode":"518000"
					  },
					  "reference_no":"12341234",
					  "remark":"",
					  "sender_address":{
						"address1":"5301 POLK STREET",
						"address2":"BUILDING 21",
						"city":"HOUSTON",
						"company":"WESTERN POST US",
						"country_code":"US",
						"email":"",
						"first_name":"WPHOU",
						"last_name":"Ron",
						"phone":"9097269571",
						"province":"TX",
						"zipcode":"77023"
					  },
					  "tracking_no":"",
					  "warehouse_code":"WPHOU",
					  "weight":117.934,
					  "width":"1.00"
					},
					{
					  "height":"1111111.00",
					  "is_signature":0,
					  "length":"11111.00",
					  "order_code":"YB-AK-19110400001",
					  "order_status":"0",
					  "receiver_address":{
						"address1":"66 BEECH GLEN ST",
						"address2":"",
						"city":"ROXBURY",
						"company":"",
						"country_code":"US",
						"doorplate":"",
						"email":"",
						"first_name":"Sherley",
						"last_name":"Santana",
						"phone":"1415851913671950",
						"province":"MA",
						"zipcode":"02119-1427"
					  },
					  "reference_no":"12-3123",
					  "remark":"",
					  "sender_address":{
						"address1":"9059 Hermosa Ave",
						"address2":"",
						"city":"Rancho Cucamonga",
						"company":"WESTERN POST US",
						"country_code":"US",
						"email":"",
						"first_name":"WPLA",
						"last_name":"Leo",
						"phone":"9097269571",
						"province":"CA",
						"zipcode":"91730"
					  },
					  "tracking_no":"",
					  "warehouse_code":"WPLA",
					  "weight":"1111111.000",
					  "width":"1111111.00"
					}
				  ],
				  "message":"Success",
				  "nextPage":true,
				  "pagination":{
					"page":1,
					"pageSize":2
				  }
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|height   |String   |包裹高（保留2位小数）   |
|is_signature   |int   |签名服务: 0:否 1:是   |
|error_note   |String   |异常信息（预报面单异常时才会返回）   |
|length   |String   |包裹长（保留2位小数）  |
|order_code   |String   |面单号   |
|order_status   |String   |发货订单状态:0:草稿;1:已提交;2:已预报（改成待扣费）;3:异常;4:已取消,5:删除,6:已完成   |
|shipping_method   |String   |配送方式   |
|receiver_address   |Object   |收件人信息（详见address参数）  |
|reference_no   |String   |客户参考号   |
|remark   |String   |备注   |
|sender_address   |Object   |发件人信息（详见address参数）   |
|tracking_no   |String   |跟踪号(运单号)   |
|warehouse_code   |String   |仓库代码   |
|weight   |String   |包裹重（保留2位小数）   |
|width   |String   |包裹宽（保留2位小数）   |
|sub_tracking_no_items   |list   |子跟踪号   |


#### address参数:

|参数   |类型      |说明   |
| :------------ | :------------  | :------------ |
|country_code |String  |收件人国家，参考getCountry（获取国家列表） |
|province |String  |州/省(美国的州/省参数必填，欧洲国家的不必填) |
|city |String  |城市 |
|address1 |String  |地址1 (length:30)|
|address2 |String  |地址2 (length:30)|
|zipcode |String  |邮编 |
|doorplate |String  |门牌号 |
|company |String  |公司名 |
|first_name |String  |收件人名 |
|last_name |String  |收件人姓 |
|phone |String  |收件人联系方式 |
|cell_phone |String  |收件人分机号 |
|email |String  |收件人邮箱 |

#### sub_tracking_no_items参数:

|参数   |类型      |说明   |
| :------------ | :------------  | :------------ |
|sub_tracking_no |String  |跟踪号 |
|type |integer  |类型：1主跟踪号 2子跟踪号 |